<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$set['title']='Дуэли ';
include_once 'sys/inc/thead.php';
title();


$act = $_GET['act'];
$dtime = (time()-86400);
$ql=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND `time` < '$dtime' ORDER BY time");

while ($poste = mysql_fetch_array($ql))
{
if($poste['koler']>$poste['kolur'])
{
mysql_query("UPDATE `user` SET `rating`=`rating`+'$poste[koler]' WHERE `id`='".$poste['ider']."'");
$msgno = 'Поздравляем, вы выиграли в дуэли и ваш рейтинг вырос на '.$poste['koler'].'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgno."', '".$time."')");
$msgnos = 'Сожалеем вам, но вы проиграли схватку в дуэли! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgnos."', '".$time."')");
} else if(($poste['koler'] + $poste['kolur']) == 0) {
$msgno = 'К сожалению за вашу дуэль никто не проголосовал! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'К сожалению за вашу дуэль никто не проголосовал! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
} else if($poste['koler'] == $poste['kolur']) {
$ratis = ($poste['kolur']/2);
mysql_query("UPDATE `user` SET `rating`=`rating`+'$ratis' WHERE `id`='".$poste['idur']."'");
mysql_query("UPDATE `user` SET `rating`=`rating`+'$ratis' WHERE `id`='".$poste['ider']."'");
$msgno = 'Поздравляем, схватка прошла вничью, и ваш рейтинг вырос на '.$ratis.'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'Поздравляем, схватка прошла вничью, и ваш рейтинг вырос на '.$ratis.'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
} else {
mysql_query("UPDATE `user` SET `rating`=`rating`+'$poste[kolur]' WHERE `id`='".$poste['idur']."'");
$msgno = 'Поздравляем, вы выиграли в дуэли и ваш рейтинг вырос на '.$poste['kolur'].'! Желаем вам дальнейших успехов! :)';

mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'Сожалеем вам, но вы проиграли схватку в дуэли! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
}
mysql_query("UPDATE `duels` SET `act`='2', `yes`='3' WHERE `id`='".$poste['id']."'");
mysql_query("DELETE FROM `duels_golos` WHERE `idd` = '$poste[id]'");
}
$qld=mysql_query("SELECT * FROM `duels` WHERE `act` = '0' AND `time` < '$dtime' ORDER BY time");

while ($postes = mysql_fetch_array($qld))
{
$ald = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$postes['ider']."' LIMIT 1"));
$msgnos = 'К сожалению '.$ald['nick'].' проигноировал схватку в дуэли с вами! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$postes['ider']."', '".$msgnos."', '".$time."')");
mysql_query("DELETE FROM `duels` WHERE `id` = '$postes[id]' LIMIT 1");
}
if($act == 'inser') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = $ids"),0);
if ($kl==0)
{
errs('Нет таково пользователя');
include_once 'sys/inc/tfoot.php'; exit;
}
if($user['id'] == $ids)
{
errs('Нельзя вызывать себя на дуэль))');
include_once 'sys/inc/tfoot.php'; exit;
}
$x=mysql_query("SELECT * FROM `duels` WHERE `idur`='$ids' AND `ider`='$user[id]'");
if(mysql_num_rows($x))
{
errs('Вызов на дуэль отправлен пользователю!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$ids' AND `idur`='$user[id]'");
if(mysql_num_rows($xl))
{
errs('Вы уже были с данным пользователем на дуэли!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$ids' AND `act`='1'");
if(mysql_num_rows($xs))
{
errs('Данный пользователь уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$ids' AND `act`='1'");
if(mysql_num_rows($xsl))
{
errs('Данный пользователь уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsls=mysql_query("SELECT * FROM `duels` WHERE (`ider`='$user[id]' OR `idur`='$user[id]') AND `act`='1'");
if(mysql_num_rows($xsls))
{
errs('Вы уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("INSERT INTO `duels` (`id`, `ider`, `idur`, `time`) VALUES ('0', '".$user['id']."', '".$ids."', '".time()."')");
msg('Вызов на дуэль отправлен пользователю!!');
} else if($act == 'ok') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids AND `idur` = '$user[id]'"),0);

if ($kl==0)
{
errs('Нет такой дуэля');
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xs))
{
errs('Вы уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xsl))
{
errs('Вы уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$a = mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `id` = '".$ids."' LIMIT 1"));
$xsls=mysql_query("SELECT * FROM `duels` WHERE (`ider`='$a[ider]' OR `idur`='$a[ider]') AND `act`='1'");
if(mysql_num_rows($xsls))
{
errs('Данный пользователь уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("UPDATE `duels` SET `act`='1', `yes`='1', `time`='".time()."' WHERE `id`='".$ids."'");

$msgnos = 'Поздравляем) Ваш вызов на дуэль принят!) Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$a['ider']."', '".$msgnos."', '".$time."')");
msg('Вы приняли вызов на дуэль!');
} else if($act == 'my') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `idur` = '$user[id]' AND `act` = '0'"),0);
if ($kl==0)
{
?>
<div class='noy'>Нет вызовов на дуэли</div>
<?
include_once 'sys/inc/tfoot.php'; exit;
}
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '0' AND `idur` = '$user[id]' ORDER BY time");

while ($post = mysql_fetch_array($q))
{
if($post['yes'] != 3) mysql_query("UPDATE `duels` SET `act`='0', `yes`='3' WHERE `id`='".$post['id']."'");
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($a['id'])." ";
echo '<a href="/info.php?id='.$a['id'].'">'.$a['nick'].'</a> ('.vremja($post['time']).')<br />';
echo '<a href="/duels.php?act=ok&id='.$post['id'].'">Принять</a> / <a href="/duels.php?act=no&id='.$post['id'].'">Отклонить</a>';
echo "</div>\n";
}
} else if($act == 'all') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `act` = '1'"),0);
if ($kl==0)
{
?>
<div class='noy'>Нет дуэлей</div>
<?
include_once 'sys/inc/tfoot.php'; exit;
}
$k_page=k_page($kl,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' GROUP BY time DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "• <a href='/info.php?id=$a[id]'><span style='color:$a[ncolor]'>$a[nick]</span></a>\n";
echo ' <b><span style="color:black">VS</span></b> ';
echo '<a href="/info.php?id='.$as['id'].'"><span style="color:'.$as['ncolor'].'">'.$as['nick'].'</span></strong></a>';
echo '<br />• Время окончания: <b>'.vremja(($post['time']+86400)).'</b>';
echo '<br />• <a href="/duels.php?act=inf&id='.$post['id'].'"><b>Полная информация</b></a></div>';
echo "</div>";
}
if ($k_page>1)str("?act=all&",$k_page,$page);
} else if($act == 'myd') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE (`idur` = '$user[id]' OR `ider` = '$user[id]') AND `act` = '1'"),0);
if ($kl==0)
{
?>
<div class='noy'>Вы не учавствуете в дуели</div>
<?
include_once 'sys/inc/tfoot.php'; exit;
}
$post=mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND (`idur` = '$user[id]' OR `ider` = '$user[id]')"));
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
?>
<div class='enk2_div' alt='ENK' />
<?
echo "".status($a['id'])."\n<a href='/info.php?id=$a[id]'><span style='color:$a[ncolor]'>$a[nick]</span></a><br />\n";
echo avatar($a['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: ($post[koler])";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kls</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kl</b>)";

?>
</div>
<div class="str">Против</div>
<div class='enk_div' alt='ENK' />
<?
echo "".status($as['id'])."\n<a href='/info.php?id=$as[id]'><span style='color:$as[ncolor]'>$as[nick]</span></a><br />\n";
echo avatar($as['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: ($post[kolur])";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kles</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kle</b>)";
?>
</div>
<?
echo '<div class="str">Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong></div>';
}else if($act=='inf'){
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = '$ids' AND `act` = '1'"),0);
if ($kl==0)
{
errs('Вы не учавствуете в дуели');
include_once 'sys/inc/tfoot.php'; exit;
}
$post=mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `id` = '$ids' AND `act` = '1'"));
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
?>
<div class='enk_div' alt='ENK' />
<?
echo "".status($a['id'])."\n<a href='/info.php?id=$a[id]'><span style='color:$a[ncolor]'>$a[nick]</span></a><br />\n";
echo avatar($a['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: ($post[koler])";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kls</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kl</b>)";

?>
</div>
<div class="str">Против</div>
<?
?>
<div class='enk2_div' alt='ENK' />
<?
echo "".status($as['id'])."\n<a href='/info.php?id=$as[id]'><span style='color:$as[ncolor]'>$as[nick]</span></a><br />\n";
echo avatar($as['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: ($post[kolur])";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kles</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kle</b>)";
?>
</div>
<?
echo "<div class='str'>Время окончания: <b>".vremja(($post['time']+86400))."</b></div>\n";
} else if($act == 'golos') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids"),0);
if ($kl==0)
{
echo "Нет такой дуэли<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
$man = intval($_GET['man']);
if(($man > 2) || ($man == 0))
{
errs('Error');
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels_golos` WHERE `uid`='$user[id]' AND `idd`='$ids'");
if(mysql_num_rows($xs))
{
errs('Вы уже Голосовали за эту дуэль!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `id`='$ids'");
if(mysql_num_rows($xsl))
{
errs('Нельзя голосовать за свою дуэль!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsle=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `id`='$ids'");
if(mysql_num_rows($xsl))
{
errs('Нельзя голосовать за свою дуэль!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
if(!($user['date_reg'] < (time()-10800)))
{
errs('Прежде чем голосовать, вы должны провести на сайте как минимум 3 часа!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
////////////////

mysql_query("INSERT INTO `duels_golos` (`id`, `uid`, `idd`, `man`, `idz`) VALUES ('0', '".$user['id']."', '".$ids."', '".$user['pol']."', '".$man."')");
if($man == 1)
{
mysql_query("UPDATE `duels` SET `koler`=`koler`+'1' WHERE `id`='".$ids."'");
} else {
mysql_query("UPDATE `duels` SET `kolur`=`kolur`+'1' WHERE `id`='".$ids."'");
}
mysql_query("UPDATE `user` SET `balls`=`balls`+'10' WHERE `id`='".$user['id']."'");
msg('Вы успешно проголосовали!');
header('Location: duels.php?oke=ok');
} else if($act == 'no') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids AND `idur` = '$user[id]'"),0);
if ($kl==0)
{
echo "Нет такой дуэли<br/>";

include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xs))
{
errs('Вы уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xsl))
{
errs('Вы уже на дуэли!!!');
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("UPDATE `duels` SET `act`='0', `yes`='2' WHERE `id`='".$ids."'");
$msgnos = 'К сожалению '.$user['nick'].' Отказался от схватки в дуэли с вами! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$aled['ider']."', '".$msgnos."', '".$time."')");
msg('Вы отказали вызов на дуэль!');
} else {
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND `yes` = '1' AND `ider` != '$user[id]' AND `idur` != '$user[id]' GROUP BY time");

while ($post = mysql_fetch_array($q))
{
$xs=mysql_query("SELECT * FROM `duels_golos` WHERE `uid`='$user[id]' AND `idd`='$post[id]'");
if(mysql_num_rows($xs))
{
$lost = 0;
} else {
if($_GET['oke'] == 'ok')msg('Вы успешно проголосовали!');
$njztm=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `act` = '1'"), 0);
file_put_contents('duels.txt', $njztm);
echo "<div class='str'>Активных дуэлей: <srong>".$njztm."</strong></div>";
echo "<div class='fyt'>За каго голосуем?)</div>";
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
echo "<div class='enk2_div'>\n";
echo "".status($a['id'])."\n<a href='/info.php?id=$a[id]'><span style='color:$a[ncolor]'>$a[nick]</span></a><br />\n";
echo avatar($a['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: $post[koler]";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kls</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kl</b>)";
echo '<br />>> <a href="duels.php?act=golos&id='.$post['id'].'&man=1"><b>Голосовать</b></a> <<</div>';
echo "</div>\n";
echo "<div class='fyt'><center>Или</center></div>";
echo "<div class='enk_div'>\n";

echo "".status($as['id'])."\n<a href='/info.php?id=$as[id]'><span style='color:$as[ncolor]'>$as[nick]</span></a><br />\n";
echo avatar($as['id']);
echo "<br /><img src='/style/images/ret.png' alt='ENK'> Голосов: $post[kolur]";
echo "<br /><img src='/style/themes/$set[set_them]/user/1.png' alt='' /> (<b>$kles</b>) | <img src='/style/themes/$set[set_them]/user/0.png' alt='' /> (<b>$kle</b>)";
echo '<br />>> <a href="duels.php?act=golos&id='.$post['id'].'&man=2"><b>Голосовать</b></a> <<</div>';
echo "</div>\n";
echo '<div class="str">Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong></div>';
$lost = 1;
break;
}
}
if($lost==0)
{
if($_GET['oke']=='ok')msg('Вы успешно проголосовали!');
?>
<div class='noy'>На данный момент доступных дуэлей нет!!!</div>
<?
}
}
$njzt=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `idur` = '$user[id]' AND `act` = '0'"), 0);
echo '<div class="dyel">
• <a href="duels.php?act=my">Мои вызовы на дуэли</a> (<strong>'.$njzt.'</strong>)<br />
• <a href="duels.php?act=all">Все дуэли</a><br />
• <a href="duels.php?act=myd">Моя дуэль</a><br />
• <a href="duels.php">Дуэли</a></div>';
include_once 'sys/inc/tfoot.php';
?>